function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { Col, Row } from 'antd';
import { useState } from 'react';
import { VmInfoCollection, VmWrapper } from "../../../_components";
import useSettings from "../../../_hooks/useSettings";
import "./index.less";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var Sbzj = function Sbzj(_ref) {
  var _ref$classPrefix = _ref.classPrefix,
    classPrefix = _ref$classPrefix === void 0 ? '' : _ref$classPrefix,
    id = _ref.id;
  var _useSettings = useSettings(),
    isDark = _useSettings.isDark;
  var prefix = "".concat(classPrefix, "-sbzj");
  var _useState = useState('all'),
    _useState2 = _slicedToArray(_useState, 2),
    tab = _useState2[0],
    setTab = _useState2[1];
  var data = [{
    name: 'AI BOX',
    img: 'aibox'
  }, {
    name: '安卓屏',
    img: 'android'
  }, {
    name: '屋外摄像头',
    img: 'sbzj_video'
  }, {
    name: '屋内摄像头',
    img: 'sbzj_video'
  }, {
    name: '屋顶摄像头',
    img: 'sbzj_video'
  }, {
    name: '摄像头',
    img: 'sbzj_video'
  }];
  return /*#__PURE__*/_jsxs("div", {
    className: "".concat(prefix),
    children: [/*#__PURE__*/_jsx(VmWrapper, {
      title: "\u8BBE\u5907\u603B\u89C8",
      style: {
        marginBottom: 16
      },
      children: /*#__PURE__*/_jsxs("div", {
        className: "".concat(prefix, "-overview"),
        children: [/*#__PURE__*/_jsxs("div", {
          className: "".concat(prefix, "-overview-top"),
          children: [/*#__PURE__*/_jsx("img", {
            src: require("../../imgs/sbzj_tfd".concat(isDark ? '' : '_light', ".png"))
          }), /*#__PURE__*/_jsx("div", {
            children: "\u82B1\u56ED\u5C0F\u533A\u6295\u653E\u70B9"
          }), /*#__PURE__*/_jsx("div", {
            className: "".concat(prefix, "-overview-top-dashed")
          })]
        }), /*#__PURE__*/_jsx("div", {
          className: "".concat(prefix, "-overview-dashedBox")
        }), /*#__PURE__*/_jsx("div", {
          className: "".concat(prefix, "-overview-devices"),
          children: data.map(function (ele, index) {
            return /*#__PURE__*/_jsxs("div", {
              className: "".concat(prefix, "-overview-devices-item"),
              children: [/*#__PURE__*/_jsx("img", {
                src: require("../../imgs/".concat(ele.img).concat(isDark ? '' : '_light', ".png"))
              }), /*#__PURE__*/_jsx("div", {
                children: ele.name
              }), index !== 0 && index !== data.length - 1 && /*#__PURE__*/_jsx("div", {
                className: "".concat(prefix, "-overview-devices-item-dashed")
              })]
            }, ele.img);
          })
        })]
      })
    }), /*#__PURE__*/_jsx(VmWrapper, {
      title: "\u8BBE\u5907\u4FE1\u606F",
      children: /*#__PURE__*/_jsxs(Row, {
        gutter: [32, 20],
        children: [/*#__PURE__*/_jsx(Col, {
          span: 12,
          children: /*#__PURE__*/_jsx(VmWrapper, {
            title: "AI BOX 888888",
            children: /*#__PURE__*/_jsx(VmInfoCollection, {
              width: "50%",
              horizontal: true,
              data: [{
                label: '累计工作时长',
                value: '100天20小时',
                key: '1'
              }, {
                label: '可用率',
                value: '58.6%',
                key: '2'
              }, {
                label: '最后心跳时间',
                value: '2025-10-01 00:00:00',
                key: '3'
              }, {
                label: '在线状态',
                value: '在线',
                key: '4',
                color: '#00B85C'
              }, {
                label: '最后上传数据时间',
                value: '2025-10-01 00:00:00',
                key: '5'
              }, {
                label: '无数据时长',
                value: '20天20小时50分',
                key: '6',
                color: '#FF9500'
              }]
            })
          })
        }), /*#__PURE__*/_jsx(Col, {
          span: 12,
          children: /*#__PURE__*/_jsx(VmWrapper, {
            title: "AI BOX 888888"
          })
        }), /*#__PURE__*/_jsx(Col, {
          span: 12,
          children: /*#__PURE__*/_jsx(VmWrapper, {
            title: "AI BOX 888888"
          })
        }), /*#__PURE__*/_jsx(Col, {
          span: 12,
          children: /*#__PURE__*/_jsx(VmWrapper, {
            title: "AI BOX 888888"
          })
        })]
      })
    })]
  });
};
export default Sbzj;